Hello community,

here is the log from the commit of package feh for openSUSE:Factory checked in 
at 2018-02-14 10:52:40
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/feh (Old)
 and      /work/SRC/openSUSE:Factory/.feh.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "feh"

Wed Feb 14 10:52:40 2018 rev:19 rq:576410 version:2.23.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/feh/feh.changes  2018-02-01 21:31:55.197968123 
+0100
+++ /work/SRC/openSUSE:Factory/.feh.new/feh.changes     2018-02-14 
10:52:41.319380380 +0100
@@ -1,0 +2,6 @@
+Tue Feb 13 19:46:49 UTC 2018 - crrodrig...@opensuse.org
+
+- Remove BuildRequires on xorg-x11-* metapackages
+- Remove unused buildRequires. 
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ feh.spec ++++++
--- /var/tmp/diff_new_pack.DOaxMI/_old  2018-02-14 10:52:42.047354177 +0100
+++ /var/tmp/diff_new_pack.DOaxMI/_new  2018-02-14 10:52:42.051354033 +0100
@@ -34,13 +34,13 @@
 # PATCH-FIX-UPSTREAM https://github.com/derf/feh/pull/337
 Patch6:         feh-makefile_app.patch
 BuildRequires:  curl-devel
-BuildRequires:  libjpeg-devel
 BuildRequires:  libpng-devel
 BuildRequires:  pkgconfig
-BuildRequires:  xorg-x11-devel
-BuildRequires:  pkgconfig(freetype2)
 BuildRequires:  pkgconfig(imlib2)
 BuildRequires:  pkgconfig(libexif)
+BuildRequires:  pkgconfig(x11)
+BuildRequires:  pkgconfig(xinerama)
+BuildRequires:  pkgconfig(xt)
 Requires:       imlib2-loaders
 Requires(post): desktop-file-utils
 Requires(post): hicolor-icon-theme
@@ -73,7 +73,7 @@
     PREFIX="%{_prefix}" \
     OPTFLAGS="%{optflags} -Wall -Wextra"
 
-gcc %{optflags} jpegexiforient.c -o jpegexiforient
+gcc %{optflags} -fwhole-program jpegexiforient.c -o jpegexiforient
 
 %install
 make \



Reply via email to